Main Page Widgets Namespaces Book

# dragcontext.h File Reference

## Namespaces

namespace | Gdk
namespace | Glib
namespace | Gtk

## Classes

class | Gdk::DragContext
| A Gdk::DragContext holds information about a drag in progress. More...

## Enumerations

enum | Gdk::DragAction { Gdk::ACTION_DEFAULT = 1 << 0, Gdk::ACTION_COPY = 1 << 1, Gdk::ACTION_MOVE = 1 << 2, Gdk::ACTION_LINK = 1 << 3, Gdk::ACTION_PRIVATE = 1 << 4, Gdk::ACTION_ASK = 1 << 5 }
enum | Gdk::DragProtocol { Gdk::DRAG_PROTO_MOTIF, Gdk::DRAG_PROTO_XDND, Gdk::DRAG_PROTO_NONE, Gdk::DRAG_PROTO_WIN32_DROPFILES, Gdk::DRAG_PROTO_OLE2, Gdk::DRAG_PROTO_LOCAL }

## Functions

DragAction | Gdk::operator& (DragAction lhs, DragAction rhs)
DragAction& | Gdk::operator&= (DragAction& lhs, DragAction rhs)
DragAction | Gdk::operator^ (DragAction lhs, DragAction rhs)
DragAction& | Gdk::operator^= (DragAction& lhs, DragAction rhs)
DragAction | Gdk::operator| (DragAction lhs, DragAction rhs)
DragAction& | Gdk::operator|= (DragAction& lhs, DragAction rhs)
DragAction | Gdk::operator~ (DragAction flags)